<?php
/* $Id: graph_defaults.inc,v 1.5 2003/08/02 16:41:49 dijkstra Exp $ */

/*
 * Copyright (c) 2003 Willem Dijkstra
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */

/*
 * Default rrdtool graph definitions
 */

function get_default_template($graph_type) {
    switch (strtolower($graph_type)) {
	case "cpu":
	    return '
-u 100 
--rigid
-v % cpu
-t %title%
-w %width%
-h %heigth%
-s %start%
-e %end%
DEF:A=%rrdfile%:user:AVERAGE
DEF:B=%rrdfile%:nice:AVERAGE
DEF:C=%rrdfile%:system:AVERAGE
DEF:D=%rrdfile%:interrupt:AVERAGE
DEF:E=%rrdfile%:idle:AVERAGE
CDEF:nodata=A,UN,0,*
COMMENT:                 min       avg       max       last\n
LINE1:nodata#FF0000
AREA:A#00FF00:user     
GPRINT:A:MIN: %6.2lf %%
GPRINT:A:AVERAGE:%6.2lf %%
GPRINT:A:MAX:%6.2lf %%
GPRINT:A:LAST:%6.2lf %%\n
STACK:B#00FFFF:nice     
GPRINT:B:MIN: %6.2lf %%
GPRINT:B:AVERAGE:%6.2lf %%
GPRINT:B:MAX:%6.2lf %%
GPRINT:B:LAST:%6.2lf %%\n
STACK:C#DDA0DD:system   
GPRINT:C:MIN: %6.2lf %%
GPRINT:C:AVERAGE:%6.2lf %%
GPRINT:C:MAX:%6.2lf %%
GPRINT:C:LAST:%6.2lf %%\n
STACK:D#9932CC:interrupt
GPRINT:D:MIN: %6.2lf %%
GPRINT:D:AVERAGE:%6.2lf %%
GPRINT:D:MAX:%6.2lf %%
GPRINT:D:LAST:%6.2lf %%\n
STACK:E#F5FFFA:idle     
GPRINT:E:MIN: %6.2lf %%
GPRINT:E:AVERAGE:%6.2lf %%
GPRINT:E:MAX:%6.2lf %%
GPRINT:E:LAST:%6.2lf %%\n
';
	    break;

            case 'io':
		return '
-v bytes/s
-t %title%
-w %width%
-h %heigth%
-s %start%
-e %end%
DEF:A=%rrdfile%:transfers:AVERAGE
DEF:B=%rrdfile%:seeks:AVERAGE
DEF:C=%rrdfile%:bytes:AVERAGE
CDEF:nodata=A,UN,0,*
COMMENT:               min          avg          max          last\n
LINE1:nodata#FF0000
AREA:C#00FF00:bytes    
GPRINT:C:MIN:%4.2lf %sBps
GPRINT:C:AVERAGE:%4.2lf %sBps
GPRINT:C:MAX:%4.2lf %sBps
GPRINT:C:LAST:%4.2lf %sBps
LINE1:B#0000FF:seeks    
GPRINT:B:MIN:%4.2lf      
GPRINT:B:AVERAGE:%4.2lf      
GPRINT:B:MAX:%4.2lf      
GPRINT:B:LAST:%4.2lf\n
LINE1:A#FFF000:transfers
GPRINT:A:MIN:%4.2lf      
GPRINT:A:AVERAGE:%4.2lf      
GPRINT:A:MAX:%4.2lf      
GPRINT:A:LAST:%4.2lf\n
';
		break;

            case 'if':
		return '
-v bits/s
-t %title%
-w %width%
-h %heigth%
-s %start%
-e %end%
DEF:in=%rrdfile%:ibytes:AVERAGE
DEF:out=%rrdfile%:obytes:AVERAGE
DEF:inp=%rrdfile%:ipackets:AVERAGE
DEF:outp=%rrdfile%:opackets:AVERAGE
DEF:coll=%rrdfile%:collisions:AVERAGE
CDEF:nodata=in,UN,0,*
CDEF:inb=in,8,*
CDEF:outb=out,8,*
CDEF:noutb=outb,-1,*
CDEF:pmax=inb,100,/,102,*
CDEF:nmax=noutb,100,/,102,*
CDEF:totp=inp,outp,+
CDEF:per=coll,totp,/,100,*
CDEF:p0=per,0,EQ,INF,0,IF
CDEF:p10=per,10,LE,INF,0,IF,per,1,GT,INF,0,IF,MIN
CDEF:p20=per,20,LE,INF,0,IF,per,10,GT,INF,0,IF,MIN
CDEF:p30=per,30,LE,INF,0,IF,per,20,GT,INF,0,IF,MIN
CDEF:p40=per,40,LE,INF,0,IF,per,30,GT,INF,0,IF,MIN
CDEF:p50=per,50,LE,INF,0,IF,per,40,GT,INF,0,IF,MIN
CDEF:p60=per,60,LE,INF,0,IF,per,50,GT,INF,0,IF,MIN
CDEF:p70=per,70,LE,INF,0,IF,per,60,GT,INF,0,IF,MIN
CDEF:p80=per,80,LE,INF,0,IF,per,70,GT,INF,0,IF,MIN
CDEF:p90=per,80,LE,INF,0,IF,per,80,GT,INF,0,IF,MIN
CDEF:p100=per,100,LE,INF,0,IF,per,90,GT,INF,0,IF,MIN
CDEF:n0=p0,-1,*
CDEF:n10=p10,-1,*
CDEF:n20=p20,-1,*
CDEF:n30=p30,-1,*
CDEF:n40=p40,-1,*
CDEF:n50=p50,-1,*
CDEF:n60=p60,-1,*
CDEF:n70=p70,-1,*
CDEF:n80=p80,-1,*
CDEF:n90=p90,-1,*
CDEF:n100=p100,-1,*
LINE1:pmax
LINE1:nmax
COMMENT:               min          avg          max          last\n
LINE1:nodata#FF0000
AREA:inb#00FF00:in     
GPRINT:inb:MIN: %6.2lf %sbps
GPRINT:inb:AVERAGE:%6.2lf %sbps
GPRINT:inb:MAX:%6.2lf %sbps
GPRINT:inb:LAST:%6.2lf %sbps\n
STACK:p0#FAFFFA 
STACK:p10#FFFFE6
STACK:p20#FFD900
STACK:p30#FD6724
STACK:p40#E61800
STACK:p50#AB2934
STACK:p60#B2888B
STACK:p70#CC91BA
STACK:p80#6A2990
STACK:p90#0571B0
STACK:p100#000000
AREA:noutb#00FFFF:out     
GPRINT:outb:MIN:%6.2lf %sbps
GPRINT:outb:AVERAGE:%6.2lf %sbps
GPRINT:outb:MAX:%6.2lf %sbps
GPRINT:outb:LAST:%6.2lf %sbps\n
COMMENT:packetloss
GPRINT:per:MIN:%6.2lf%%    
GPRINT:per:AVERAGE:%6.2lf%%    
GPRINT:per:MAX:%6.2lf%%    
GPRINT:per:LAST:%6.2lf%%\n
STACK:n0#FFFFFF: = 0%
STACK:n10#F0E0E0: <10%
STACK:n20#FFD900: <20%
STACK:n30#FD6724: <30%
STACK:n40#E61800: <40%
STACK:n50#AB2934: <50%\n
STACK:n60#B2888B: <60%
STACK:n70#CC91BA: <70%
STACK:n80#6A2990: <80%
STACK:n90#0571B0: <90%
STACK:n100#000000: <100%
';
		break;

            case 'mem':
		return '
-v bytes
-b 1024
-t %title%
-w %width%
-h %heigth%
-s %start%
-e %end%
DEF:A=%rrdfile%:real_active:AVERAGE
DEF:B=%rrdfile%:real_total:AVERAGE
DEF:C=%rrdfile%:free:AVERAGE
DEF:D=%rrdfile%:swap_used:AVERAGE
DEF:E=%rrdfile%:swap_total:AVERAGE
CDEF:nodata=A,UN,0,*
COMMENT:                  min        avg        max        last\n
LINE1:nodata#FF0000
AREA:B#008B8B:real      
GPRINT:B:MIN: %6.2lf %sb
GPRINT:B:AVERAGE:%6.2lf %sb
GPRINT:B:MAX:%6.2lf %sb
GPRINT:B:LAST:%6.2lf %sb\n
STACK:C#3CB371:free      
GPRINT:C:MIN: %6.2lf %sb
GPRINT:C:AVERAGE:%6.2lf %sb
GPRINT:C:MAX:%6.2lf %sb
GPRINT:C:LAST:%6.2lf %sb\n
LINE1:A#00FFFF:active    
GPRINT:A:MIN: %6.2lf %sb
GPRINT:A:AVERAGE:%6.2lf %sb
GPRINT:A:MAX:%6.2lf %sb
GPRINT:A:LAST:%6.2lf %sb\n
LINE1:D#888C00:swap used 
GPRINT:D:MIN: %6.2lf %sb
GPRINT:D:AVERAGE:%6.2lf %sb
GPRINT:D:MAX:%6.2lf %sb
GPRINT:D:LAST:%6.2lf %sb\n
LINE2:E#FF8C00:swap total
GPRINT:E:MIN: %6.2lf %sb
GPRINT:E:AVERAGE:%6.2lf %sb
GPRINT:E:MAX:%6.2lf %sb
GPRINT:E:LAST:%6.2lf %sb\n
';
		break;

            case 'pf':
		return '
-t %title%
-v bits/s
-w %width%
-h %heigth%
-s %start%
-e %end%
DEF:A=%rrdfile%:bytes_v4_in:AVERAGE
DEF:B=%rrdfile%:bytes_v4_out:AVERAGE
DEF:C=%rrdfile%:bytes_v6_in:AVERAGE
DEF:D=%rrdfile%:bytes_v6_out:AVERAGE
CDEF:inb=A,C,+,8,*
CDEF:outb=B,D,+,8,*
CDEF:nodata=A,UN,0,*
COMMENT:                     min          avg          max          last\n
LINE1:nodata#FF0000
AREA:inb#00FF00:incoming
GPRINT:inb:MIN: %6.2lf %sbps
GPRINT:inb:AVERAGE:%6.2lf %sbps
GPRINT:inb:MAX:%6.2lf %sbps
GPRINT:inb:LAST:%6.2lf %sbps\n
LINE1:outb#00FFFF:outgoing 
GPRINT:outb:MIN:%6.2lf %sbps
GPRINT:outb:AVERAGE:%6.2lf %sbps
GPRINT:outb:MAX:%6.2lf %sbps
GPRINT:outb:LAST:%6.2lf %sbps\n
';
		break;

            case 'proc':
		return '
-t %title%
-v ticks/s
-w %width%
-h %heigth%
-s %start%
-e %end%
DEF:number=%rrdfile%:number:AVERAGE
DEF:uticks=%rrdfile%:uticks:AVERAGE
DEF:sticks=%rrdfile%:sticks:AVERAGE
DEF:iticks=%rrdfile%:iticks:AVERAGE
DEF:cpusec=%rrdfile%:cpusec:AVERAGE
DEF:procsz=%rrdfile%:procsz:AVERAGE
DEF:rsssz=%rrdfile%:rsssz:AVERAGE
CDEF:null=number,number,-
CDEF:iprocsz=0,procsz,-
CDEF:irsssz=0,rsssz,-
CDEF:nodata=number,UN,0,*
COMMENT:                 min       avg       max       last\n
LINE1:nodata#FF0000
AREA:number#0000FF:number     
GPRINT:number:MIN: %5.0lf 
GPRINT:number:AVERAGE:%5.0lf 
GPRINT:number:MAX:%5.0lf 
GPRINT:number:LAST:%5.0lf \n
AREA:uticks#00FF00:uticks    
GPRINT:uticks:MIN: %3.2lf %s
GPRINT:uticks:AVERAGE:%3.2lf %s
GPRINT:uticks:MAX:%3.2lf %s
GPRINT:uticks:LAST:%3.2lf %s\n
STACK:sticks#DDA0DD:sticks    
GPRINT:sticks:MIN: %3.2lf %s
GPRINT:sticks:AVERAGE:%3.2lf %s
GPRINT:sticks:MAX:%3.2lf %s
GPRINT:sticks:LAST:%3.2lf %s\n
STACK:iticks#9932CC:iticks   
GPRINT:iticks:MIN: %3.2lf %s
GPRINT:iticks:AVERAGE:%3.2lf %s
GPRINT:iticks:MAX:%3.2lf %s
GPRINT:iticks:LAST:%3.2lf %s\n
STACK:null#000000:cpusec   
GPRINT:cpusec:MIN: %5.0lf 
GPRINT:cpusec:AVERAGE:%5.0lf 
GPRINT:cpusec:MAX:%5.0lf 
GPRINT:cpusec:LAST:%5.0lf \n
LINE1:iprocsz#555555:procsz    
GPRINT:procsz:MIN: %3.2lf %s
GPRINT:procsz:AVERAGE:%3.2lf %S
GPRINT:procsz:MAX:%3.2lf %S
GPRINT:procsz:LAST:%3.2lf %S\n
LINE1:irsssz#777777:rsssz     
GPRINT:rsssz:MIN:  %3.2lf %S
GPRINT:rsssz:AVERAGE:%3.2lf %S
GPRINT:rsssz:MAX:%3.2lf %S
GPRINT:rsssz:LAST:%3.2lf %S\n
';
            default:
		return'
-t %title%
-w %width%
-h %heigth%
COMMENT: no default for %rrdwhat% (%rrdfile%)';
    }
}
?>
