<?php
/* $Id: setup.inc,v 1.13 2003/08/02 16:41:49 dijkstra Exp $ */

/* DEFAULT USER CONFIGURATION STARTS HERE */

/* rrdtool_path   : path to rrdtool executable */
$symon['rrdtool_path']='/bin/rrdtool';
/* $symon['rrdtool_path']='/usr/local/bin/rrdtool'; // when not running chrooted */

/* 
 * cache_dir :       where generated graphs (and their definitions) are
 *                   stored. garbage collection, ie file removal will happen 
 *                   automatically; this directory cannot be shared with other 
 *                   files.
 *
 * cache_duration :  number of seconds until files are refreshed
 */
$symon['cache_dir']='/symon/cache';
/* $symon['cache_dir']='/var/www/symon/cache'; // when not running chrooted */
$symon['cache_duration']=20;

/* 
 * host_tree :       where is the host tree located symon expects a <host>/<rrds>
 *                   directory structure.
 */
$symon['host_tree']='/symon/rrds';
/* $symon['host_tree']='/var/www/symon/rrds'; // when not running chrooted */

/* 
 * layout_dir :      location of layout files - remove this value to disable user layouts
 *
 * default_layout :  
 */
$symon['layout_dir']='/symon';
/* $symon['layout_dir']='/var/www/symon'; // when not running chrooted */

/* DEFAULT USER CONFIGURATION ENDS HERE */

/* Troubleshooting section */
$symon['rrdtool_debug']=1; // make rrdtool dump state apache error log */
/* $symon['layout_debug']=1;  // make layout dump state on screen */
/* $symon['graph_debug']=1;   // make graph dump state on screen */
/* $symon['lexer_debug']=1;   // make lexer dump state on screen */

/* make php verbose */
ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_reporting' , E_ALL);

/* maximum time for graph to wait for file to appear */
$symon['graph_max_wait']=30;

/* constraints for rrdtool command line arguments */
$symon['constraints'] = array(
    '--width'  => array('max' => 2048, 'min' => 32, 'default' => 300),
    '-w'       => array('max' => 2048, 'min' => 32, 'default' => 300),
    '--heigth' => array('max' => 2048, 'min' => 32, 'default' => 225),
    '-h'       => array('max' => 2048, 'min' => 32, 'default' => 225),
    '--start'  => array('max' => 4294967296,    'min' => -4294967296,  'default' => -86400),
    '-s'       => array('max' => 4294967296,    'min' => -4294967296,  'default' => -86400),
    '--end'    => array('max' => 4294967296,    'min' => -4294967296,  'default' => -1),
    '-e'       => array('max' => 4294967296,    'min' => -4294967296,  'default' => -1),
    );

/* setup defaults for form variables */
$symon['defaults'] = array(
    'size' => array(
	'type'        => 'named',
	'default'     => 'normal',
	'namedvalues' => array(
	    'tiny'      => array( 'width' =>  100, 'heigth' =>  75 ),
	    'small'     => array( 'width' =>  200, 'heigth' => 125 ),
	    'normal'    => array( 'width' =>  300, 'heigth' => 225 ),
	    'big'       => array( 'width' =>  600, 'heigth' => 450 ),
	    'huge'      => array( 'width' => 1024, 'heigth' => 640 ),
	    'custom'    => ''
	    )
	),
    'timespan' => array(
	'type'        => 'named',
	'default'     => 'today',
	'namedvalues' => array(
	    'last hour'       => array( 'start' => -3600 ),
	    'today'           => array( 'start' => -86400 ),
	    'last week'       => array( 'start' => -604800 ),
	    'last month'      => array( 'start' => -2419200 ),
//	    'six_months' => array( 'start' => -14515200 ),
	    'custom'     => ''
	    )
	),
    'layout' => array(
	'type'        => 'named',
	'default'     => 'default',
	'namedvalues' => array(
	    'default'    => ''
	    )
	),
    'start' => array(
	'type'        => 'integer',
	'default'     => $symon['constraints']['--start']['default'],
	'bounds'      => $symon['constraints']['--start'],
	),
    'end' => array(
	'type'        => 'integer',
	'default'     => $symon['constraints']['--end']['default'],
	'bounds'      => $symon['constraints']['--end'],
	),
    'width' => array(
	'type'        => 'integer',
	'default'     => $symon['constraints']['--width']['default'],
	'bounds'      => $symon['constraints']['--width'],
	),
    'heigth' => array(
	'type'        => 'integer',
	'default'     => $symon['constraints']['--heigth']['default'],
	'bounds'      => $symon['constraints']['--heigth'],
	),
    );
/* maximum buffer for file loads */
$symon['loadbuffer'] = 81920;

?>
